#pragma once

size_t count_args(char *line);
char **parse_args(char *line, size_t *argc);

struct cmd {
	const char *key;
	void (* exec)(const char *line);
};

void do_flash_cmd(const char *line);
void do_ftl_cmd(const char *line);
void do_mufs_cmd(const char *line);

void cmd_exec(struct cmd *cmds, const char *line);
void cmd_loop(const char *s);
